#!/usr/bin/env bash

set -e

# rules
herbstclient unrule -F
#herbstclient rule class=XTerm tag=3 # move all xterms to tag 3
herbstclient rule focus=off # normally do not focus new clients
# give focus to most common terminals
herbstclient rule class~'(.*[Rr]xvt.*|.*[Tt]erm|Konsole)' focus=on
herbstclient rule windowtype~'_NET_WM_WINDOW_TYPE_(DIALOG|UTILITY|SPLASH)' pseudotile=on
herbstclient rule windowtype='_NET_WM_WINDOW_TYPE_DIALOG' focus=on
herbstclient rule windowtype~'_NET_WM_WINDOW_TYPE_(NOTIFICATION|DOCK)' manage=off
